<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>My Paint</title>
        <link rel="icon" type="image/png" href="favicon.ico" />
        <link
            rel="stylesheet"
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.10.2/css/all.min.css"
        />
        <link
            rel="stylesheet"
            type="text/css"
            href="loading-bar/loading-bar.css"
        />
        <link rel="stylesheet" href="style.css" />
    </head>
    <body>
        <div class="preloader" id="preloader"></div>
        <div class="top-bar">
            <div class="active-tool">
                <span id="active-tool" title="Active Tool">Brush</span>
            </div>
            <div class="brush tool">
                <i class="fas fa-brush" id="brush" title="Brush"></i>
                <input
                    type="text"
                    class="jscolor"
                    id="brush-color"
                    value="a51dab"
                />
                <span class="size" id="brush-size" title="Brush Size">10</span>
                <input
                    type="range"
                    min="1"
                    max="50"
                    value="10"
                    class="slider"
                    id="brush-slider"
                />
            </div>
            <div class="bucket tool">
                <i class="fas fa-fill-drip" title="Background Color"></i>
                <input
                    type="text"
                    class="jscolor"
                    id="bucket-color"
                    value="fff"
                />
            </div>
            <div class="tool">
                <i class="fas fa-eraser" id="eraser" title="Eraser"></i>
            </div>

            <div class="tool">
                <i class="fas fa-undo-alt" id="clear-canvas" title="Clear"></i>
            </div>
            <div class="tool">
                <i
                    class="fas fa-download"
                    id="save-storage"
                    title="Save Local Storage"
                ></i>
            </div>

            <div class="tool">
                <i
                    class="fas fa-upload"
                    id="load-storage"
                    title="Load Local Storage"
                ></i>
            </div>
            <div class="tool">
                <i
                    class="fas fa-trash-alt"
                    id="clear-storage"
                    title="Clear Local Storage"
                ></i>
            </div>
            <div class="tool">
                <a id="download">
                    <i class="fas fa-save" title="Save Image File"></i>
                </a>
            </div>
        </div>

        <!--Mobile message-->
        <div class="mobile-message">
            <h2>Please use application on larger screen</h2>
        </div>

        <script src="script.js"></script>
        <script src="jscolor.js"></script>
        <script
            type="text/javascript"
            src="loading-bar/loading-bar.js"
        ></script>

        <script>
            let preloader = document.getElementById("preloader");
            document.querySelector(".top-bar").style.opacity = 0;
            var bar = new ldBar(".preloader", {
                preset: "bubble",
                duration: 5,
            });
            setTimeout(() => {
                bar.set(100);
            }, 1500);

            setTimeout(() => {
                preloader.style.display = "none";
                document.querySelector(".top-bar").style.opacity = 1;
            }, 5000);
        </script>
    </body>
</html>
